Error with easyinstall

Hi,
with fresh installed ubuntu server 20.04 I get this error using easyinstall:

Using module file /usr/local/lib/python3.8/dist-packages/ansible/modules/files/file.py
        "after": {
    "gid": 0,
    "invocation": {
        "Id": "ntp.service",
        "StartLimitBurst": "5",
    "state": "started",
RT_POSITION=$VAR || exit 1 ; ignore_errors=no ; start_time=[Thu 2022-06-30 16:51:19 UTC] ; stop_time=[Thu 2022-06-30 16:51:20 UTC] ; pid=53334 ; code=exited ; status=0 }",
        "RemainAfterExit": "no",
    "changed": true,
        "ControlPID": "0",
        "NRestarts": "0",
        "TTYReset": "no",
        "blocks": 8,
        "inode": 1048350,
        "install",
equirement already satisfied: setuptools in /usr/local/lib/python3.8/dist-packages (from frappe-bench==5.0.0.dev0) (62.6.0)\nRequirement already satisfied: tomli in /usr/local/lib/python3.8/dist-packages (from<127.0.0.1> EXEC /bin/sh -c '( umask 77 && mkdir -p "` echo /root/.ansible/tmp `"&& mkdir /root/.ansible/tmp/ansible-tmp-1656608526.956254-70576-263366356026293 && echo ansible-tmp-1656608526.956254-70576-2633    "cmd": [
        "--frappe-branch",
        "version-13",
        "--python",
        "python3"
    ],
    "delta": "0:00:00.110149",
    "end": "2022-06-30 17:02:07.252608",
    "invocation": {
        "module_args": {
            "_raw_params": "bench init /home/frappe/frappe-bench --frappe-path https://github.com/frappe/frappe --frappe-branch version-13 --python python3",
            "_uses_shell": false,
            "argv": null,
            "chdir": null,
            "creates": "/home/frappe/frappe-bench",
            "executable": null,
            "removes": null,
            "stdin": null,
            "stdin_add_newline": true,
            "strip_empty_ends": true,
            "warn": true
        }
    },
    "msg": "non-zero return code",
    "rc": 1,
    "start": "2022-06-30 17:02:07.142459",
    "stderr": "Traceback (most recent call last):\n  File \"/usr/bin/bench\", line 33, in <module>\n    sys.exit(load_entry_point('frappe-bench', 'console_scripts', 'bench')())\n  File \"/usr/bin/bench\", line 22, in importlib_load_entry_point\n    for entry_point in distribution(dist_name).entry_points\n  File \"/usr/lib/python3.8/importlib/metadata.py\", line 503, in distribution\n    return Distribution.from_name(distribution_name)\n  File \"/usr/lib/python3.8/importlib/metadata.py\", line 177, in from_name\n    raise PackageNotFoundError(name)\nimportlib.metadata.PackageNotFoundError: frappe-bench",
    "stderr_lines": [
        "Traceback (most recent call last):",
        "  File \"/usr/bin/bench\", line 33, in <module>",
        "    sys.exit(load_entry_point('frappe-bench', 'console_scripts', 'bench')())",
        "  File \"/usr/bin/bench\", line 22, in importlib_load_entry_point",
        "    for entry_point in distribution(dist_name).entry_points",
        "  File \"/usr/lib/python3.8/importlib/metadata.py\", line 503, in distribution",
        "    return Distribution.from_name(distribution_name)",
        "  File \"/usr/lib/python3.8/importlib/metadata.py\", line 177, in from_name",
        "    raise PackageNotFoundError(name)",
        "importlib.metadata.PackageNotFoundError: frappe-bench"
    ],
    "stdout": "",
    "stdout_lines": []
}

@mgiammarco Easy Install has been broken for quite a bit. You’re better off doing a manual install. Follow the guide in the post below to successfully install ERPNext. I’ve used it multiple times and following the instructions exactly as specified helps you achieve a successful install.

1 Like